access / tfa
6 operations.
GET /access/tfa
ts
proxmox.access.tfa.$get()List TFA configurations of users.
Returns an array of object.
GET /access/tfa/{userid}
ts
proxmox.access.tfa.$(userid).$get()List TFA configurations of users.
Returns an array of object.
| Parameter | Type | Required | Notes |
|---|---|---|---|
userid | string | yes | Full User ID, in the name@realm format. — format pve-userid, ≤ 64 chars |
POST /access/tfa/{userid}
ts
proxmox.access.tfa.$(userid).$post()Add a TFA entry for a user.
Returns object.
WARNING
Not callable with an API token.
| Parameter | Type | Required | Notes |
|---|---|---|---|
challenge | string | When responding to a u2f challenge: the original challenge string | |
description | string | A description to distinguish multiple entries from one another — ≤ 255 chars | |
password | string | The current password of the user performing the change. — ≤ 64 chars | |
totp | string | A totp URI. | |
type | totp | u2f | webauthn | recovery | yubico | yes | TFA Entry Type. |
userid | string | yes | Full User ID, in the name@realm format. — format pve-userid, ≤ 64 chars |
value | string | The current value for the provided totp URI, or a Webauthn/U2F challenge response |
GET /access/tfa/{userid}/{id}
ts
proxmox.access.tfa.$(userid).$(id).$get()Fetch a requested TFA entry if present.
Returns object.
| Parameter | Type | Required | Notes |
|---|---|---|---|
id | string | yes | A TFA entry id. |
userid | string | yes | Full User ID, in the name@realm format. — format pve-userid, ≤ 64 chars |
PUT /access/tfa/{userid}/{id}
ts
proxmox.access.tfa.$(userid).$(id).$put()Add a TFA entry for a user.
Returns nothing.
WARNING
Not callable with an API token.
| Parameter | Type | Required | Notes |
|---|---|---|---|
description | string | A description to distinguish multiple entries from one another — ≤ 255 chars | |
enable | boolean | Whether the entry should be enabled for login. | |
id | string | yes | A TFA entry id. |
password | string | The current password of the user performing the change. — ≤ 64 chars | |
userid | string | yes | Full User ID, in the name@realm format. — format pve-userid, ≤ 64 chars |
DELETE /access/tfa/{userid}/{id}
ts
proxmox.access.tfa.$(userid).$(id).$delete()Delete a TFA entry by ID.
Returns nothing.
WARNING
Not callable with an API token.
| Parameter | Type | Required | Notes |
|---|---|---|---|
id | string | yes | A TFA entry id. |
password | string | The current password of the user performing the change. — ≤ 64 chars | |
userid | string | yes | Full User ID, in the name@realm format. — format pve-userid, ≤ 64 chars |